(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.sav3 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#426477").s().p("Ai5D7QgdAAgSgSQgSgSAAgeIAAmzQA/AJA+gJIgBFjQAAANAFAEQAEAEAMAAQCygBCyABQgJA+AJA/g");
	this.shape.setTransform(25.1,25.1);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sav3, new cjs.Rectangle(0,0,50.2,50.2), null);


(lib.sav2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#426477").s().p("Am4A/QAJg/gJg+INxAAQgKA+AKA/g");
	this.shape.setTransform(44.075,6.275);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sav2, new cjs.Rectangle(0,0,88.2,12.6), null);


(lib.sav1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#426477").s().p("AB9D8IAAlmQAAgLgDgEQgEgEgMAAQixABizgBQAIg/gIg+IG0gBQAdAAASATQASATAAAdIAAG0Qg/gKg/AKg");
	this.shape.setTransform(25.1,25.175);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sav1, new cjs.Rectangle(0,0,50.2,50.4), null);


(lib.rimbazz = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#0195FE").s().p("AjGD4QhWhFgahuIgCgGQgKg/AKg+QAxjIDJgxQA+gKA/AKQC+AvA2C4IAEAUQADAMAEAHIAABXQgFADAAAGIgDAMQgYBvhXBGQhXBFhwAAQhwAAhWhFg");
	this.shape.setTransform(31.8,31.725);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.rimbazz, new cjs.Rectangle(0,0,63.6,63.5), null);


(lib.rimbaz = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#99CC00").s().p("AgtE+QgCgEgFgBIgKgBQjGgwgxjCIgEgHQgJg+AJg9QAbhcApgwQCAiTC2AmQC/AoA2DFIAFALQAHA+gHA+IgEAKQgvC0i1A4QgaACgLAHg");
	this.shape.setTransform(31.875,31.8358);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.rimbaz, new cjs.Rectangle(0,0,63.7,63.7), null);


(lib.rimbas = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CC0101").s().p("AgXE8QhwgNhOhHQhPhHgShqIgGgmQADgagGgOQAFgCACgGIAAgKQAOh2BchPQBjhYCMAKQBjAHBOBFQBNBDAYBiQACAJADAFQAIA9gIA+IgVA/QgpBfhZA1QhKAthRAAQgQAAgRgCg");
	this.shape.setTransform(32.025,31.7747);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.rimbas, new cjs.Rectangle(0,0,64.1,63.6), null);


(lib.rimbaor = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FEAA18").s().p("Ag9E5QhfgZg5g0QhMhGgWhjIgBgLQgBgGgEgEIAAhbQAEgDABgHIABgKQAahuBWhHQBVhFBugBQBxgBBXBEQBYBEAaBuIAEAKQAIA9gIA/QgaBlhEBBQg8A7hhAZQgfAEggAAQgeAAgfgEg");
	this.shape.setTransform(31.8,31.7373);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.rimbaor, new cjs.Rectangle(0,0,63.6,63.5), null);


(lib.gfsegwegw = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AgyDQQgEgBgFgCQgJgDgGgHIiFiFQgIgHAAgKQAAgJAHgIQARgSAQgOQAIgHAJAAQAJAAAHAHIAjAhIA1A1IC8kXQAGgIAJgCQAKgCAIAGIAoAbQAHAFACAKQACAJgGAIIjQEyIgKAQIgLAQQgJAMgOACIgDAAIgHAAg");
	this.shape.setTransform(21.625,20.8317);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.gfsegwegw, new cjs.Rectangle(0,0,43.3,41.7), null);


(lib.bulta1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#426477").s().p("AghDwQgjgRACgxIAAhgQABgJgDgDQgEgDgIAAQhYABhZgBQgfAAgUgSQgTgRAAgcQABgbATgRQATgRAfAAQBygBA5ABQANABAEgFQAEgFgBgMIAAhiQgBgpAigSQAigSAiAYIEIC1QATAOAFAQQAGANgCAbQgKAYgcATIj4CqQgYARgVAAQgOAAgPgIg");
	this.shape.setTransform(32.7611,24.7774);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.bulta1, new cjs.Rectangle(0,0,65.5,49.6), null);


(lib.bgajdawfl = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AwbQcQm0m0AApoQAApnG0m0QG0m0JnAAQJpAAGzG0QG0G0AAJnQAAJom0G0QmzG0ppAAQpnAAm0m0g");
	this.shape.setTransform(148.8,148.825);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.bgajdawfl, new cjs.Rectangle(0,0,297.6,297.7), null);


(lib.checkinawf = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AgeAjQgIgIAAgJQAAgKAHgHQARgSAPgOQAIgIAJABQAJAAAHAHIAFAFIhBBCg");
	this.shape.setTransform(3.9375,23.55);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgtAVQgHgIgBgJQAAgJAIgHQARgTAQgPQAHgHAIAAQAKAAAHAIIAFAFIAdAcIhCBCg");
	this.shape_1.setTransform(5.375,24.9625);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#FFFFFF").s().p("Ag9AFQgHgHgBgJQAAgKAIgHQARgTAQgOQAHgIAJABQAKAAAGAHIAFAFIAdAcIABABIAfAeIhDBCg");
	this.shape_2.setTransform(6.975,26.55);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("AhIgKQgHgHgBgKQAAgJAIgIQARgSAQgPQAHgHAJAAQAKAAAHAHIAFAFIAcAcIABABIA1A0Ig6BMg");
	this.shape_3.setTransform(8.075,28.125);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#FFFFFF").s().p("ABMBsQgJgDgHgHIiEiDQgHgIgBgJQAAgKAIgHQARgTAQgPQAHgHAJAAQAKAAAHAHIAFAGIAcAcIABABIA1A0IgDB7IgCgBg");
	this.shape_4.setTransform(8.075,30.5);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#FFFFFF").s().p("AA+BuIgIgCIgBgBQgKgDgGgHIiEiEQgIgHAAgKQAAgJAHgIQASgSAPgPQAIgHAJAAQAJAAAIAHIAFAFIAbAcIACABIA0A1IAvBhIgJAOQgJAMgPACIgDAAIgGAAg");
	this.shape_5.setTransform(10.4,30.6333);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#FFFFFF").s().p("AAwBuIgHgCIgCgBQgJgDgHgHIiEiEQgHgHgBgKQAAgJAIgIQARgSAQgPQAHgHAJAAQAKAAAHAHIAFAFIAdAcIABABIA0A1IANgTIA9BLIgPAXIgLAQIgCACIgJAOQgJAMgPACIgDAAIgGAAg");
	this.shape_6.setTransform(11.7875,30.6333);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#FFFFFF").s().p("AAiBuIgHgCIgCgBQgJgDgGgHIiEiEQgIgHAAgKQAAgJAHgIQARgSAQgPQAIgHAJAAQAJAAAHAHIAFAFIAdAcIABABIA0A1IAigyIBDBCIgqA/IgLAQIgBACIgKAOQgJAMgOACIgDAAIgHAAg");
	this.shape_7.setTransform(13.125,30.6333);

	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#FFFFFF").s().p("AASBvIgHgCIgCgBQgJgDgFgHIiFiEQgIgHAAgKQAAgJAHgIQARgSAQgPQAIgHAJAAQAJAAAHAHIAGAGIAcAbIABABIA0A1IBChhIBDBEIhKBsIgLAQIgBACIgKAOQgJAMgOACIgDABIgHgBg");
	this.shape_8.setTransform(14.7125,30.5083);

	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#FFFFFF").s().p("AADCGIgGgCIgCgBQgJgDgHgHIiFiEQgHgHgBgKQAAgJAIgIQARgSAQgPQAHgHAJAAQAKAAAHAHIAFAGIAdAbIABABIA1A0IBfiOIBEBEIhpCaIgLAQIgCACIgJAOQgJAMgPACIgDABIgGgBg");
	this.shape_9.setTransform(16.2625,28.2083);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#FFFFFF").s().p("AgKCaIgHgCIgCgBQgJgDgGgHIiFiFQgIgHAAgJQAAgJAHgIQARgSAQgPQAIgHAJAAQAJAAAHAHIAGAGIAcAbIABABIA1A0IB7i2IBDBEIiEDCIgLAQIgBACIgKAOQgJAMgNACIgDABIgHgBg");
	this.shape_10.setTransform(17.6125,26.2083);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#FFFFFF").s().p("AgXCuIgHgCIgCgBQgJgDgHgHIiFiFQgHgHgBgKQAAgJAIgHQARgSAQgPQAHgHAJAAQAKAAAHAHIAFAGIAdAbIABABIA1A0ICVjdIBEBDIifDqIgLAQIgCACIgJAOQgJAMgOACIgDAAIgGAAg");
	this.shape_11.setTransform(18.9625,24.2208);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#FFFFFF").s().p("AgjDAIgHgCIgCgBQgJgDgHgHIiFiFQgHgHgBgKQAAgJAIgIQARgRAQgPQAHgHAJAAQAKAAAHAHIAFAFIAdAbIABABIA1A1ICtkBIBEBDIi3EOIgLAQIgCACIgIAOQgJAMgPACIgDAAIgGAAg");
	this.shape_12.setTransform(20.1625,22.4458);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#FFFFFF").s().p("AgvDPIgIgCIgBgBQgKgDgGgHIiFiEQgIgIAAgJQAAgKAHgHQASgTAPgOQAIgHAJAAQAJAAAIAIIAFAEIAcAcIACABIA0A0IC8kWQAGgIAJgCIA/A/IjQExIgJAQIgCADIgJANQgJANgPACIgDAAIgGgBg");
	this.shape_13.setTransform(21.4,20.8583);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#FFFFFF").s().p("AgyDQQgEgBgFgCQgJgDgGgHIiFiFQgIgHAAgKQAAgJAHgIQARgSAQgOQAIgHAJAAQAJAAAHAHIAjAhIA1A1IC8kXQAGgIAJgCQAKgCAIAGIAoAbQAHAFACAKQACAJgGAIIjQEyIgKAQIgLAQQgJAMgOACIgDAAIgHAAg");
	this.shape_14.setTransform(21.625,20.8317);

	this.instance = new lib.gfsegwegw();
	this.instance.setTransform(21.6,20.8,1,1,0,0,0,21.6,20.8);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape}]},4).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).to({state:[{t:this.shape_8}]},1).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_14}]},20).to({state:[{t:this.instance}]},1).to({state:[{t:this.instance}]},7).to({state:[]},1).wait(4));
	this.timeline.addTween(cjs.Tween.get(this.instance).wait(39).to({_off:false},0).to({alpha:0},7).to({_off:true},1).wait(4));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,43.3,41.7);


(lib.teamsicoblo = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_11
	this.instance = new lib.checkinawf();
	this.instance.setTransform(148.5,235.7,0.8152,0.8152,0,0,0,21.7,20.8);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(36).to({_off:false},0).to({_off:true},182).wait(9));

	// rimbaz
	this.instance_1 = new lib.rimbaz();
	this.instance_1.setTransform(148.8,235.65,0.4223,0.4223,0,0,0,31.9,31.9);
	this.instance_1.alpha = 0;
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(32).to({_off:false},0).to({regY:31.8,scaleX:1,scaleY:1,y:235.6,alpha:1},4).wait(181).to({alpha:0},4).to({_off:true},1).wait(5));

	// sav3
	this.instance_2 = new lib.sav3();
	this.instance_2.setTransform(92.25,216.85,1,1,0,0,0,25.1,25.1);
	this.instance_2.alpha = 0;
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(28).to({_off:false},0).to({alpha:1},4).wait(183).to({alpha:0},4).to({_off:true},1).wait(7));

	// rimbazz
	this.instance_3 = new lib.rimbazz();
	this.instance_3.setTransform(72.95,160,0.4969,0.4969,0,0,0,31.8,31.7);
	this.instance_3.alpha = 0;
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(24).to({_off:false},0).to({scaleX:1,scaleY:1,alpha:1},4).wait(185).to({alpha:0},4).to({_off:true},1).wait(9));

	// sav2
	this.instance_4 = new lib.sav2();
	this.instance_4.setTransform(148.85,160.4,1,1,0,0,0,44.1,6.2);
	this.instance_4.alpha = 0;
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(20).to({_off:false},0).to({alpha:1},4).wait(187).to({alpha:0},4).to({_off:true},1).wait(11));

	// rimbaor
	this.instance_5 = new lib.rimbaor();
	this.instance_5.setTransform(224.25,160.05,0.6226,0.6226,0,0,0,31.8,31.7);
	this.instance_5.alpha = 0;
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(16).to({_off:false},0).to({scaleX:1,scaleY:1,x:224.2,y:160,alpha:1},4).wait(189).to({alpha:0},4).to({_off:true},1).wait(13));

	// sav1
	this.instance_6 = new lib.sav1();
	this.instance_6.setTransform(205.35,104.1,1,1,0,0,0,25.1,25.2);
	this.instance_6.alpha = 0;
	this.instance_6._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(12).to({_off:false},0).to({alpha:1},4).wait(191).to({alpha:0},4).to({_off:true},1).wait(15));

	// rimbas
	this.instance_7 = new lib.rimbas();
	this.instance_7.setTransform(148.55,85.25,0.5757,0.5757,0,0,0,31.9,31.8);
	this.instance_7.alpha = 0;
	this.instance_7._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(8).to({_off:false},0).to({regX:32,scaleX:1,scaleY:1,x:148.6,alpha:1},4).wait(193).to({alpha:0},4).to({_off:true},1).wait(17));

	// bulta1
	this.instance_8 = new lib.bulta1();
	this.instance_8.setTransform(73.95,85.2,1,1,0,0,0,32.8,24.8);
	this.instance_8.alpha = 0;
	this.instance_8._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(4).to({_off:false},0).to({x:84.3,alpha:1},4).wait(195).to({alpha:0},4).to({_off:true},1).wait(19));

	// Layer_1
	this.instance_9 = new lib.bgajdawfl();
	this.instance_9.setTransform(142.4,156,1,1,0,0,0,148.8,148.8);
	this.instance_9.alpha = 0.8516;

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(227));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-6.4,7.2,297.59999999999997,297.7);


// stage content:
(lib.Element_flowchart_icon_1_Canvas = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0];
	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.instance = new lib.teamsicoblo();
	this.instance.setTransform(208.35,193.4,1.0963,1.0963,0,0,0,150,150);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(236.9,236.8,126.20000000000002,126.30000000000001);
// library properties:
lib.properties = {
	id: 'FF71BCBB242B49438CFB6DF04ABD56B3',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['FF71BCBB242B49438CFB6DF04ABD56B3'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;